Bug 200728 - [si_LK] ZWJ support, sinhala not rendered properly
[si_LK] ZWJ support, sinhala not rendered properly
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-07-31 08:24 EDT by A S Alam
Modified: 2013-07-02 20:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.3-7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-09 06:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
picture (49.09 KB, image/png)
2006-07-31 08:47 EDT, Caolan McNamara
no flags Details
part of the puzzle (703 bytes, patch)
2006-07-31 15:41 EDT, Caolan McNamara
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 68047 None None None Never
OpenOffice.org 68048 None None None Never

  None (edit)
Description A S Alam 2006-07-31 08:24:22 EDT
+++ This bug was initially created as a clone of Bug #200727 +++

Description of problem:
when try to input for Sinhala Language, then failed to render properly

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open  oowriter
2. goto ny text input area)
3. for input,
please install scim-sinhala (from rawhide) and press following keys

4) "kRoo"
Ctrl+Space to activative and Deactivate Input method

Actual results:
rendering is broken

Expected results:
Rendering should like Gedit

Additional info:
test same input for gedit (ක්‍රෝ)
Font package: font-sinhala
Comment 1 Caolan McNamara 2006-07-31 08:47:02 EDT
Created attachment 133315 [details]

so this is what you get, i.e. gedit is correct, OOo shows something when you
type, but it's wrong, and if I paste into writer I get yet another sequence of

I bet that this is an icu problem from icu's perspective.
Comment 2 Caolan McNamara 2006-07-31 08:50:57 EDT
So this looks to me like that icu doesn't know about the correct combining
characters characteristics for sinhala
Comment 3 A S Alam 2006-07-31 08:55:42 EDT
yes, there is long list of those type of combination. 
(with 0DCA/0DBB+200D+<SPACE> characters), which are not properly Rendered
Comment 4 A S Alam 2006-07-31 08:59:22 EDT
Adding si_LK expert for more detail
Comment 5 Caolan McNamara 2006-07-31 11:32:10 EDT
let me examine icu 3.6d01 release candidate, there seems to have been some
possibly relevent work there
Comment 6 Caolan McNamara 2006-07-31 13:33:12 EDT
Looks like it's the ZWJ 0x200D which isn't supported by the OOo+ICU chain, still
exists in icu 3.6 at the moment
Comment 7 Caolan McNamara 2006-07-31 15:41:33 EDT
Created attachment 133346 [details]
part of the puzzle

At least this is required, maybe more. This allows me to load a document
containin the above sequence and render it correctly. Need to do some more
examination to see if it's the complete story.
Comment 8 Caolan McNamara 2006-08-01 07:04:10 EDT
Ah, the input method still cannot enter the correct sequence because OOo doesn't
implement the retrieve_surrounding signal to give the context which scim-sinhala
needs to know about to give the same sequence as gedit. Tricky, very tricky.
also need for thai I would expect
Comment 9 Caolan McNamara 2006-08-01 11:38:31 EDT
heh, so I cooked up a lunatic implementation based around the accessibility
interface which seems like it will do the right thing. Fix checked in, will be
in next respin
Comment 11 Caolan McNamara 2006-08-02 03:58:35 EDT
caolan->aalam: I don't see the pictures referenced in the .html to be sure they
are currently rendered correctly, but they all list the dread 0x200D ZWJ, so
they would all fall into the category of problem which attachment 1 [details] addresses.

Note You need to log in before you can comment on or make changes to this bug.